Bug 111719 - Area tab: Bitmap type is always set to tiled when opening the dialog
Summary: Area tab: Bitmap type is always set to tiled when opening the dialog
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.0.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Area-Fill-Tab-Bitmap
  Show dependency treegraph
 
Reported: 2017-08-12 11:31 UTC by Tamás Zolnai
Modified: 2019-04-09 07:34 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tamás Zolnai 2017-08-12 11:31:13 UTC
Description:
Area tab's bitmap page does not display the actual bitmap fill type. It's always set to tiled, which messes up things.

Steps to Reproduce:
1. Open Writer and create a shape
2. Set a bitmap background with stretched type (Context menu -> Area... -> Bitmap)
3. Close the dialog and open it again

Actual Results:  
Dialog displays tiled type instead of the actual type (stretched).

Expected Results:
The dialog bitmap page should show the actual type which was selected before.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.3; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.90 Safari/537.36
Comment 1 Telesto 2017-08-12 15:52:30 UTC
Repro with:
Version: 6.0.0.0.alpha0+
Build ID: 46b4eb8b0e9325f8c29cd391baf9504bccee1837
CPU threads: 4; OS: Windows 6.19; UI render: default; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-08-11_06:44:17
Locale: nl-NL (nl_NL); Calc: CL
Comment 2 Katarina Behrens (Inactive) 2018-04-08 13:05:24 UTC
Hello good people, 

so I've done some larger cleanup in bitmap tab and this issue might be fixed. Hard to link specific commit to specific issue, it could've been any or all of:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=b85691995e7b1a1aadf714c34e7fe6b9cd3206d8
https://cgit.freedesktop.org/libreoffice/core/commit/?id=177dbe968b5af1c548be9f52178daa528edc2aab
https://cgit.freedesktop.org/libreoffice/core/commit/?id=d2c8766a5e827e53f8f34893ff3d82a0df252f30
https://cgit.freedesktop.org/libreoffice/core/commit/?id=3a30799e377004f77ddcf5c1d6b62ca3e62c0905

So if you could please take a daily (no older than 9th of March 2018), re-test your issue and if fixed, close accordingly. If you happen to find additional issues (different from the orig one), please file a new bug and avoid bugfix creep. Thank you.
Comment 3 QA Administrators 2019-04-09 02:50:13 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug